package ms.itsecteam.warpdrink.data.rest.http;

import android.os.AsyncTask;

import org.apache.http.HttpResponse;
import org.apache.http.NameValuePair;
import org.apache.http.client.HttpClient;
import org.apache.http.client.entity.UrlEncodedFormEntity;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.DefaultHttpClient;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.util.List;

import ms.itsecteam.warpdrink.manager.DatabaseManager;

public class HttpPostRequest extends AsyncTask<Void, Void, String> {
    String url;
    List<NameValuePair> postParams;
    public HttpPostRequest initTask(String url, List<NameValuePair> postParams) {
        this.url = DatabaseManager.getInstance().getSetting("api_url")+"/"+ url;
        this.postParams =postParams;
        return this;
    }
    @Override
    protected String doInBackground(Void... params) {
        try {
            HttpClient client = new DefaultHttpClient();
            HttpPost request = new HttpPost(this.url);

            request.setEntity(new UrlEncodedFormEntity(this.postParams, "UTF-8"));

            HttpResponse response = client.execute(request);
            BufferedReader rd = new BufferedReader(new InputStreamReader(response.getEntity().getContent()));

            String line = "";
            String responsestr="";
            while ((line = rd.readLine()) != null) {
                responsestr += line;
            }
            return responsestr;
        } catch (Exception e) {
        }
        return null;
    }

}
