package ms.itsecteam.warpdrink.dialogs;

import android.app.Dialog;
import android.os.Bundle;
import android.view.View;
import android.view.Window;
import android.widget.Button;

import ms.itsecteam.warpdrink.MainActivity;
import ms.itsecteam.warpdrink.R;
import ms.itsecteam.warpdrink.data.objects.User;
import ms.itsecteam.warpdrink.data.rest.RestClient;
import ms.itsecteam.warpdrink.manager.MainManager;

public class ChargeDialog extends Dialog implements
        android.view.View.OnClickListener {

    public MainActivity c;
    public Dialog d;
    public Button btnFiveEuro, btnTenEuro, btnTwentyEuro,btnOther;

    public ChargeDialog() {
        super(MainManager.getInstance().getMainActivity());
        this.c = MainManager.getInstance().getMainActivity();
 ;
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        requestWindowFeature(Window.FEATURE_NO_TITLE);
        setContentView(R.layout.charge_dialog);

        btnFiveEuro = (Button) findViewById(R.id.btnFiveEuro);
        btnTenEuro = (Button) findViewById(R.id.btnTenEuro);
        btnTwentyEuro = (Button) findViewById(R.id.btnTwentyEuro);
        btnOther = (Button) findViewById(R.id.btnOther);

        btnFiveEuro.setOnClickListener(this);
        btnTenEuro.setOnClickListener(this);
        btnTwentyEuro.setOnClickListener(this);
        btnOther.setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        double amount = 0.0;
        switch (v.getId()) {
            case R.id.btnFiveEuro:
                amount = 5.0;
                break;
            case R.id.btnTenEuro:
                amount = 10.0;
                break;
            case R.id.btnTwentyEuro:
                amount = 20.0;
                break;
            case R.id.btnOther:
                    new ChargeCustomDialog(this,this.c).show();
                break;
            default:
                break;
        }
        if(amount > 0.0)
            MainManager.getInstance().chargeAmount(amount);
        dismiss();
    }
}
