package ms.itsecteam.warpdrink.dialogs;

import android.app.Dialog;
import android.os.Bundle;
import android.view.View;
import android.view.Window;
import android.widget.Button;
import android.widget.TextView;
import android.widget.Toast;

import ms.itsecteam.warpdrink.MainActivity;
import ms.itsecteam.warpdrink.R;
import ms.itsecteam.warpdrink.manager.DatabaseManager;
import ms.itsecteam.warpdrink.manager.MainManager;

public class NewUserDialog extends Dialog implements
        View.OnClickListener {

    public MainActivity c;
    public Button btnAddUser;
    public TextView txtUsername;
    public NewUserDialog() {
        super(MainManager.getInstance().getMainActivity());
        this.c = MainManager.getInstance().getMainActivity();
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        requestWindowFeature(Window.FEATURE_NO_TITLE);
        setContentView(R.layout.new_user_dialog);
        this.btnAddUser = (Button) findViewById(R.id.btnAddUser);
        this.btnAddUser.setOnClickListener(this);
        this.txtUsername = (TextView) findViewById(R.id.txtUsername);


    }

    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.btnAddUser:
                String username = this.txtUsername.getText().toString();
                if (!username.equals("")) {
                    if(!MainManager.getInstance().addUser(username)) {
                        Toast.makeText(v.getContext(),"Username ist schon vorhanden",Toast.LENGTH_LONG).show();
                    } else {
                        Toast.makeText(v.getContext(),"User angelegt",Toast.LENGTH_LONG).show();
                        dismiss();
                    }
                } else {
                    Toast.makeText(v.getContext(),"Username darf nicht leer sein",Toast.LENGTH_LONG).show();
                }
                break;
            default:
                break;
        }
    }
}
