package ms.itsecteam.warpdrink.manager;

import ms.itsecteam.warpdrink.data.objects.User;
import ms.itsecteam.warpdrink.data.rest.RestClient;

public class DataManager {
    private User currentUser;
    private double totalAmount;



    private static DataManager ourInstance = new DataManager();

    protected static DataManager getInstance() {
        return ourInstance;
    }

    private DataManager() {
    }

    public void saveCurrentUser() {
        this.currentUser.save();
        RestClient.getInstance().saveUserCredit(this.currentUser);
    }

    public void performPayment() {
        this.currentUser.setCredit(this.currentUser.getCredit()-this.totalAmount);
        this.saveCurrentUser();
        this.totalAmount = 0.0;
    }

    public void clearCurrentUser() {

    }

    public User getCurrentUser() {
        return currentUser;
    }

    public void setCurrentUser(User currentUser) {
        this.currentUser = currentUser;
    }

    public double getTotalAmount() {
        return totalAmount;
    }

    public void addToTotalAmount(double value) {
        this.totalAmount += value;
    }

    public void setTotalAmount(double totalAmount) {
        this.totalAmount = totalAmount;
    }




}
