package ms.itsecteam.warpdrink;

import android.content.DialogInterface;
import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.Menu;
import android.view.MenuInflater;

import android.view.MenuItem;
import android.view.View;



import java.util.List;

import ms.itsecteam.warpdrink.data.objects.User;

import ms.itsecteam.warpdrink.dialogs.NewUserDialog;
import ms.itsecteam.warpdrink.dialogs.SettingsDialog;
import ms.itsecteam.warpdrink.manager.MainManager;
import ms.itsecteam.warpdrink.manager.UiManager;
import ms.itsecteam.warpdrink.orderList.Order;


public class MainActivity extends ActionBarActivity implements View.OnClickListener { // implements View.OnClickListener, View.OnKeyListener, AdapterView.OnItemClickListener, DialogInterface.OnClickListener {

    private User currentUser;
    private List<User> users;

    private MainManager manager;
    public boolean onCreateOptionsMenu(Menu menu) {
        MenuInflater inflater = getMenuInflater();
        inflater.inflate(R.menu.menu_main, menu);

        return true;
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);


        getWindow().addFlags(View.SYSTEM_UI_FLAG_LAYOUT_FULLSCREEN);
        setContentView(R.layout.activity_main);

        this.manager = MainManager.getInstance();
        this.manager.init(this);



    }

    public void onClick(View v) {
        UiManager.getInstance().onClick(v);
    }

    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) {
            case R.id.action_settings:
                new SettingsDialog(this).show();
                break;
            case R.id.action_new_user:
                new NewUserDialog().show();
                break;
            default:
                break;
        }

        return true;
    }
    public void removeOrderOnClickHandler(View v) {
        MainManager.getInstance().removeOrder((Order) v.getTag());

    }
/*

    @Override
    public boolean onKey(View v, int keyCode, KeyEvent event) {
        if (event.getAction()==KeyEvent.ACTION_DOWN && event.getKeyCode() == KeyEvent.KEYCODE_ENTER) {
           if(this.atxvAdapter.getCount() == 1) {
               setCurrentUser(DatabaseManager.getInstance().remoteGetUser(((User) this.atxvAdapter.getItem(0)).getUserid()));
               this.atxvName.setText(this.atxvAdapter.getItem(0).toString());
               this.atxvName.dismissDropDown();
           }
           return true;
        }
        return false;
    }

    @Override
    public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
        setCurrentUser(DatabaseManager.getInstance().remoteGetUser(((User) this.atxvAdapter.getItem(position)).getUserid()));
    }

    @Override
    public void onClick(DialogInterface dialog, int which) {
        this.currentUser.setCredit(this.currentUser.getCredit() - this.getTotal());
        this.currentUser.save();
        RestClient.getInstance().saveUserCredit(this.currentUser);
        this.clearCurrentUser();
    }

*/
}
