package ms.itsecteam.warpdrink.data.rest.http;

import android.os.AsyncTask;

import org.apache.http.HttpResponse;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.DefaultHttpClient;

import java.io.BufferedReader;
import java.io.InputStreamReader;

import ms.itsecteam.warpdrink.manager.DatabaseManager;

// this.url = "http://10.0.2.2:8080/warpdrink/rest/";

public class HttpGetRequest extends AsyncTask<Void, Void, String> {
    String url;
    public HttpGetRequest initTask(String url) {
        this.url = DatabaseManager.getInstance().getSetting("api_url")+"/"+ url;
        return this;
    }
    @Override
    protected String doInBackground(Void... params) {
        try {
            HttpClient client = new DefaultHttpClient();
            HttpGet request = new HttpGet(this.url);

            HttpResponse response = client.execute(request);
            BufferedReader rd = new BufferedReader(new InputStreamReader(response.getEntity().getContent()));

            String line = "";
            String responsestr="";
            while ((line = rd.readLine()) != null) {
                responsestr += line;
            }
            return responsestr;
        } catch (Exception e) {
        }
        return null;
    }
}
